package java.awt.event;

import java.awt.Component;
import java.awt.Rectangle;

public class PaintEvent extends ComponentEvent
{
    public static final int PAINT_FIRST = 800;
    public static final int PAINT_LAST = 801;
    public static final int PAINT = 800;
    public static final int UPDATE = 801;
    Rectangle updateRect;
    private static final long serialVersionUID = 1267492026433337593L;
    
    public PaintEvent(Component component, int n, Rectangle updateRect) {
        super(component, n);
        this.updateRect = updateRect;
    }
    
    public Rectangle getUpdateRect() {
        return this.updateRect;
    }
    
    public void setUpdateRect(Rectangle updateRect) {
        this.updateRect = updateRect;
    }
    
    @Override
    public String paramString() {
        String str;
        switch (this.id) {
            case 800: {
                str = "PAINT";
                break;
            }
            case 801: {
                str = "UPDATE";
                break;
            }
            default: {
                str = "unknown type";
                break;
            }
        }
        return str + ",updateRect=" + ((this.updateRect != null) ? this.updateRect.toString() : "null");
    }
}
